Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 19 Sep 2019, 08:47
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
palemoon browser
Post new topic   Reply to topic View previous topic :: View next topic
Page 52 of 57 [844 Posts]   Goto page: Previous 1, 2, 3, ..., 50, 51, 52, 53, 54, 55, 56, 57 Next
Author Message
sindi

Joined: 16 Aug 2009
Posts: 967
Location: Ann Arbor MI USA

PostPosted: Thu 08 Aug 2019, 10:49    Post subject: glibc 2.2.2 upgrade for lupu2016
Subject description: needed to run palemoon 28
 

Palemoon 28 requires:
GTK+ v2.24
GLib 2.22 or higher
Pango 1.14 or higher
libstdc++ 4.6.1 or higher

Is there a pet of palemoon 28 available for puppies older than Tahr, specifically lupu2016, which has
GTK 2.0
GLib 2.0
Pango 1.0
libstdc++6.0

Will the glibc 2.2.0 upgrade mentioned earlier work with a kernel 2.6 lupu2016? Nothing with newer kernel displays usably on my 2008 HP laptop due to the nvidia video chip (except for Debiandog with nouveau.modset=0, which keeps messing itself up on exit somehow). Puppies 4 work fine on here.

The blasted video chip will not even let me display to an external monitor with lupu2016 (only with a non-genuine Windows 7).

I tried various approaches to making the chipset work including compiling a new kernel for Tahr (which would not boot).

Ebay printing no longer works with palemoon 27. Or fastmail login.
Back to top
View user's profile Send private message 
watchdog

Joined: 28 Sep 2012
Posts: 1910
Location: Italy

PostPosted: Thu 08 Aug 2019, 10:56    Post subject:  

Palemoon28 glibc219tweaked works with wary-racy:

http://www.murga-linux.com/puppy/viewtopic.php?p=1006374#1006374

No hope for lucid.
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 967
Location: Ann Arbor MI USA

PostPosted: Thu 08 Aug 2019, 13:11    Post subject: Palemoon 219 tweaked does not install in wary 5.5  

Wary 5.5 runs on my HP dv5000 if I add nouveau-modeset=0 (and I may need to remove vga=791, framebuffer console setting) but the tweaked 28.6.1 palemoon pet does not even install. Do I need to add some library first?

I confirmed that it installs to lupu2016 but clicking on the menu item does nothing.

nouveau-modeset=0 does not help with the video in tahr, slacko, etc.

I will try debiandog wheezy before switching laptops.

Fastmail so far works with firefox 52 esr. I should test the ebay classical printing page again with PM 27. They fixed some other page that their update broke.

My partner will let me have his Compaq laptop of similar specs (made by combining the good parts of two Compaq laptops) after fixing the broken key with parts from the Windows key. It runs Tahr. I like the HP dv5000 for the excellent keyboard and its speed and Win7 but it won't recognize plugged-in USB devices because it is not genuine.

The video has several problems - it also goes dim and has to be brightened repeatedly except in X, can't plug in an external monitor.
Back to top
View user's profile Send private message 
watchdog

Joined: 28 Sep 2012
Posts: 1910
Location: Italy

PostPosted: Thu 08 Aug 2019, 15:16    Post subject: Re: Palemoon 219 tweaked does not install in wary 5.5  

sindi wrote:
Wary 5.5 runs on my HP dv5000 if I add nouveau-modeset=0 (and I may need to remove vga=791, framebuffer console setting) but the tweaked 28.6.1 palemoon pet does not even install. Do I need to add some library first?


Have you installed dbus and dbus-glib by PPM after updating the lists of packages?
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 967
Location: Ann Arbor MI USA

PostPosted: Thu 08 Aug 2019, 15:30    Post subject: cannot update wary 5.5 package list  

The wary package manager appears not to be updating. Instead of downloading it gives me a brief message that I don't have time to read.

Very few packages are listed in any category.

Where else might I find dbus and dbus-glib? Can I copy them
from lupu2016, for instance?
Back to top
View user's profile Send private message 
watchdog

Joined: 28 Sep 2012
Posts: 1910
Location: Italy

PostPosted: Thu 08 Aug 2019, 15:48    Post subject:  

http://distro.ibiblio.org/quirky/pet_packages-wary5/

http://distro.ibiblio.org/quirky/pet_packages-wary5/dbus_DEV-1.2.4.2permissive-1-w5.pet

http://distro.ibiblio.org/quirky/pet_packages-wary5/dbus-1.2.4.2permissive-1-w5.pet

http://distro.ibiblio.org/quirky/pet_packages-wary5/dbus-glib_DEV-0.82-w5.pet

http://distro.ibiblio.org/quirky/pet_packages-wary5/dbus-glib-0.82-w5.pet

The development packages are optional.
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 967
Location: Ann Arbor MI USA

PostPosted: Thu 08 Aug 2019, 16:32    Post subject: wary 5.5 palemoon tweaked pet says 'no space on device'  

I downloaded glib and glib-dbus from the links posted in previous reply and used petget to install them and rebooted wary 5.5.

I then tried to install the glibc219 tweaked pet and was told repeatedly no space left on device. My save file is now 200MB and the pet only 57MB - does it really expand that much?

Wary 5.5 will not boot with vga=791 (console framebuffer).

I then installed wheezy (debiandog from 2015), which does not display framebuffer text in console mode either, but otherwise it is usable. Palemoon works. It will take a while to edit the file showing package location and add my printer, lynx. youtube-viewer, mouse adjustment, etc.

I rebooted a few times and it saves changes and continues to work, unlike the 2015 Jessie which messes itself up on reboot.

2015 Debiandogs have a save file (not adjustable size) like Wary and the older Lupu.

Both of these have nouveau-modeset=0 and while X is loading you can briefly see a scrambled version of the screen before it loads correctly
Back to top
View user's profile Send private message 
watchdog

Joined: 28 Sep 2012
Posts: 1910
Location: Italy

PostPosted: Thu 08 Aug 2019, 23:55    Post subject: Re: wary 5.5 palemoon tweaked pet says 'no space on device'  

sindi wrote:
I downloaded glib and glib-dbus from the links posted in previous reply and used petget to install them and rebooted wary 5.5.

I then tried to install the glibc219 tweaked pet and was told repeatedly no space left on device. My save file is now 200MB and the pet only 57MB - does it really expand that much?

Wary 5.5 will not boot with vga=791 (console framebuffer).


I understand that you do not like very much wary and my palemoon28 glibc219tweaked. Sorry. I have used wary in the past a lot: it's a good OS for very old hardware. I use 1 Gb savefile.
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 967
Location: Ann Arbor MI USA

PostPosted: Fri 09 Aug 2019, 09:26    Post subject: wary and tweaked palemoon  

i have used wary on many old laptops where
lupu or later did not work and it does
wotk here except for no framebuffer
console. i could try to recompile the
kernel to suport that but several days of
compiling a better tahr kernel failed.

wary without fbcon is still much better
than windows.

how large is the expanded tweaked pm?

i would also like it in wary on a 2004
laptop without 1 gb free.

can you add whatever libraries are missing
so pm tweaked will also work with
lupu2016? lupu has save directory and
fbcon.
Back to top
View user's profile Send private message 
watchdog

Joined: 28 Sep 2012
Posts: 1910
Location: Italy

PostPosted: Fri 09 Aug 2019, 09:56    Post subject: Re: wary and tweaked palemoon  

sindi wrote:

how large is the expanded tweaked pm?


About 130 Mb.

Quote:
can you add whatever libraries are missing
so pm tweaked will also work with
lupu2016? lupu has save directory and
fbcon.


I have tried in the past in all manners: there is no hope with lucid and palemoon28. The libs are not compatible.
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 967
Location: Ann Arbor MI USA

PostPosted: Sat 10 Aug 2019, 18:12    Post subject: HP dv6500 won't work with Debiandog changes.dat  

Debiandog jessie (2015 version with save directory) and wheezy (2014) both mostly ignore changes.dat (the save file) on
reboot. On the first reboot I was able to save a test file but nothing that was installed was there any more. On the
second reboot it does not finish booting.

This is all on my HP dv6500 (not dv5000) from 2008 with the video problem. Also no fbcon. Palemoon does boot if I ignore
changes to the original setup, but I would need to set up the printer each time.

Which leaves Windows 7 non-genuine with no ability to access usb storage devices, or wary (without fbcon) maybe with
larger save file to hold tweaked PM, or a better linux laptop.

I have dell and thinkpad from 2006 and a 2007 DELL with bad right arrow key and b43 wifi.

Some DELLs of that era have equally screwy video.

A glibc-219-tweaked palemoon that includes whatever lupu is missing would be the perfect solution.
Back to top
View user's profile Send private message 
mikeslr


Joined: 16 Jun 2008
Posts: 3320
Location: 500 seconds from Sol

PostPosted: Sat 10 Aug 2019, 20:11    Post subject:  

Sindi,

I know you like small SaveFiles. But might I suggest that you
(a) expand Wary's Save file to 500 Mbs.
(b) install the pets necessary.
(c) Remaster. After booting into your Remaster the first time you can again return to using a small SaveFile.

Whatever wasted space there may have been in the SaveFile will not be included in the Remaster.

For remastering a Puppy for use on the same computer, I can recommend nicOS-Remaster-Suite. http://murga-linux.com/puppy/viewtopic.php?p=1001289#1001289. Its GUI has three options. Look for the Quick-Base-Remaster-Auto version or Remaster-Auto- Final (Choose to customise). See http://murga-linux.com/puppy/viewtopic.php?p=1003555#1003555 and the following few posts including those on the next page.

Nic007 originally set out create a fast, simple remaster application eliminating the confusion which frequently resulted in trying to follow the instructions of Puppy's builtin Remaster and the need to sit idly by waiting to comply with further instructions. User-feedback resulted in there being three options. Whichever option of the suite you choose, all user input is given at the beginning. And all options are fast.
Back to top
View user's profile Send private message 
watchdog

Joined: 28 Sep 2012
Posts: 1910
Location: Italy

PostPosted: Sun 11 Aug 2019, 01:40    Post subject: palemoonbypreciselight-chroot.sfs  

The only way I have found to run palemoon28 in puppy4 and lucid is to use a chroot environment. I have used the main sfs of precise light to build an sfs which installs a /cnt dir (containerized chroot environment) and palemoonchroot and closechroot script in /usr/bin. Load the sfs and type in console palemoonchroot. After closing palemoon type in console closechroot. I have no more time to test: this is matter for more serious developers. The profile is installed in /cnt/root/.

[link deleted]


EDIT:
I have forgotten to create the dirs /cnt/proc /cnt/dev /cnt/sys. At least in console type:

Code:
mkdir -p /cnt/sys


before launching palemoonchroot.

Last edited by watchdog on Sun 11 Aug 2019, 07:22; edited 1 time in total
Back to top
View user's profile Send private message 
watchdog

Joined: 28 Sep 2012
Posts: 1910
Location: Italy

PostPosted: Sun 11 Aug 2019, 07:21    Post subject: plm-28.6.1-chroot.sfs  

New version. See previous post. Old link deleted.

https://drive.google.com/file/d/1tGnOIdws7eF7RALfiKJ16KK6fgs6Jn2j/view?usp=sharing

Very experimental: caution!

Using the main sfs of the original precise 5.7.1 you can obtain a working cnt for puppy4 (200 Mb large). Someone else can play to strip down the minimal sfs required to run palemoon28.
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 967
Location: Ann Arbor MI USA

PostPosted: Wed 14 Aug 2019, 14:24    Post subject: wary 5.5 working now with tweaked palemoon 28.6.1  

When I enlarged the wary save file it said I had only 56MB free, so I added 64MB, was able to install the tweaked
palemoon, and had 112MB free (???). Palemoon works perfectly and I only need to add printer drivers.

I don't need more save space because I don't plan to use wary as my main operating system.

Wary kernel does not support fbcon properly (it won't even load with vga=791), same as both debiandogs.

I would love to chroot from lupu2016 to wary just to print ebay shipping labels and use palemoon 28 as needed.

Thanks for all the help.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 52 of 57 [844 Posts]   Goto page: Previous 1, 2, 3, ..., 50, 51, 52, 53, 54, 55, 56, 57 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1123s ][ Queries: 12 (0.0279s) ][ GZIP on ]